Subject: DSATs
From: Subir Chakma <[email-masked]>
To: "Ritika Yadav" <[email-masked]>
Date: Tue, 30 Jun 2015 19:53:04 +0530 (IST)

LTK1221604086740X- Cx contacted you on June 3, 2015 under LTK1221604057435X, you offered escalation for storage waiver. However, you di NOT escalate, instead you released the ticket as Resolved. You gave timeline of 1-2 working days, but you never contacted back the customer. 

When Cx contacted you again on June 8, 2015, you put the blame completely on Cx repeatedly citing T&Cs, and refused to adjust even the extra days storage fee incurred due to your negligence. 

We must be logical at customer service, when we have a problem to resolve. In this case, yes, it is Cx problem for not reading the T&Cs, but the reason for making him incur extra storage charges because of your negligence is not acceptable. 

You should've promptly called me, accepted the error and we could have offered some waiver atleast, if not full. 

Most probably we've lost a customer here. 

Comment: Completely your mistake for the DSAT 

LTK1221604087553X - Cx was having problem updating the new Citibank card. You assisted her with the procedure. This part is Ok. 
Cx stated that problem of payment continues even with the new card. You responded by saying- Okay, Please follow the above link. When Cx already updated the new card, why the link should be followed again? What is the purpose for suggesting it? 

Cx then suggested that we release the items on her behalf. And your response was- Your order has not been released and we have not received any payment. You need to pay first. 
Followed by- Now I have given you a link, you need to update new card details and then make payment. When Cx already confirmed having updated the new card successfully. 
Closing the chat with - In that case kindly contact your Bank as everything is correct from our end. 
You did not verify the details, you did not troubleshoot anything. 

Comment: Poor handling of this payment issue. 

LTK1221604127889X- The only improvement I want to see in this chat is giving Cx approximate ideas on weight, vols. You can easily do it from general idea based on your experience. If its a jeans, then maximum 1kg, iPhone max 1kg. You can tell the Cx that this is only an assumption instead of pushing the customer to contact seller. You very well know they will not get anywhere even if they contact the seller. 

Comment: Could have been better. 

LTK1221604128495X- Not your mistake 

I'll continue to audits your remaining chats. 

LTK1221604151963X 
LTK1221604157594X 
LTK1221604071574X 
LTK1221604064379X 
LTK1221604050255X 
LTK1221604044711X 
LTK1221604191198X 
LTK1221604212061X 
LTK1221604209262X 
LTK1221604157594X 

Regards